
using System;
using Aurora.Infrastructure.Permission;
using System.Collections.Generic;

namespace Aurora.Infrastructure.User
{
    public interface ICurrentUser
    {
        /// <summary>
        /// 用户登录用户Code
        /// </summary>
        string UserCode { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        string UserName { get; set; }
        /// <summary>
        /// 用户名 编码
        /// </summary>
        // string NameAndCode { get { return $"{CurrentUserName} {CurrentUserCode}"; } }
        /// <summary>
        /// 角色Code
        /// </summary>
        string RoleCode { get; set; }
        /// <summary>
        /// 角色Name
        /// </summary>
        string RoleName { get; set; }

        List<IFunctionPermission> RolePermission { get; set; }
        

    }


}
